Bug 437555 - via-rhine may lose link
Summary: via-rhine may lose link
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.6
Hardware: i686 Linux
low
high
Target Milestone: rc
: ---
Assignee: Ivan Vecera
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 461304
TreeView+ depends on / blocked
 
Reported: 2008-03-14 21:00 UTC by Hiroto Shibuya
Modified: 2009-05-18 19:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 19:36:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Hiroto Shibuya 2008-03-14 21:00:58 UTC
Description of problem:

http://lkml.org/lkml/2005/8/11/79

Version-Release number of selected component (if applicable):

How reproducible:

100% with the specific sequence below.
Otherwise, only happens in very specific situation that we cannot reproduce.

Steps to Reproduce:
As described in the mail above:
* have via-rhine NIC
* unplug network cable
* reboot box
* force HDX (I do in with ethtool -s eth0 autoneg off duplex half)
* plug cable back
* kernel still thinks that carrier is off despite "ethtool eth0"
  saying that link is detected.

Actual results:

Communcation via the particular interface does not resume 
although the link is up and interface status is UP.

Expected results:

Communication via the particular interface is restored.

Additional info:

The following patch applies cleanly and fixes the problem:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=00b428c2ab35c81905b3e39d673689216dbd4742

This is non issue in RHEL 5.* which already contains this patch.

Comment 2 RHEL Product and Program Management 2008-05-09 15:22:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Ivan Vecera 2008-05-16 15:23:02 UTC
I prepared the kernel packages (for i686 and x86_64) with the bugfix. Could you
please try them and put here some test report.
Kernel packs are available here:
http://people.redhat.com/ivecera/rhel-4-ivtest/


Comment 4 Hiroto Shibuya 2008-05-19 15:26:01 UTC
Thank you Ivan.  

I tested the kernel through the procedure mentioned above on the VIA 
target machine and the networking restored immediately when the 
cable was reconnected.  It is working perfectly. 

# uname -a
Linux localhost 2.6.9-70.EL.ivtest.1 #1 Fri May 16 09:11:41 EDT 2008 i686 i686
i386 GNU/Linux

Comment 5 RHEL Product and Program Management 2008-09-03 13:17:09 UTC
Updating PM score.

Comment 6 Vivek Goyal 2008-09-12 19:57:54 UTC
Committed in 78.9.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 9 errata-xmlrpc 2009-05-18 19:36:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.